import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.lang.management.BufferPoolMXBean;
import java.lang.management.ThreadInfo;
import java.util.ArrayList;
import java.util.StringTokenizer;
import java.util.TreeSet;

public class Main {
    public static long min;
    public static void main(String[] args) throws IOException {
        BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
        PrintWriter writer = new PrintWriter(System.out);
        StringTokenizer st = new StringTokenizer(reader.readLine());
        int n = Integer.parseInt(st.nextToken());
        int m = Integer.parseInt(st.nextToken());
        int c = Integer.parseInt(st.nextToken());
        int[][] arr = new int[n][m];
        for(int i = 0; i < n; ++i){
            for(int j = 0; j < m; ++j){
                if(c == 2){
                    if(Math.random() >= 0.5){
                        arr[i][j] = 1;
                    }
                    else{
                        arr[i][j] = 2;
                    }
                }
                else{
                    if(Math.random() >= 0.66){
                        arr[i][j] = 1;
                    }
                    else if(Math.random() >= 0.33){
                        arr[i][j] = 2;
                    }
                    else{
                        arr[i][j] = 3;
                    }
                }
                arr[i][j] = (i * m + j) % c + 1;
            }
        }
        for(int i = 0; i < n; ++i){
            for(int j = 0; j < m; ++j){
                System.out.print(arr[i][j] + " ");
            }
            System.out.println("");
        }
    }
}
