import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.lang.management.BufferPoolMXBean;
import java.lang.management.ThreadInfo;
import java.util.ArrayList;
import java.util.StringTokenizer;
import java.util.TreeSet;

public class Main {
    public static void perebor1(int prev, long cnt1, long cnt2, long cnt3, long cnt4, long answer) {
        if (cnt1 < 0 || cnt2 < 0 || cnt3 < 0 || cnt4 < 0) {
            return;
        }
        if (cnt1 == 0 && cnt2 == 0 && cnt3 == 0 && cnt4 == 0) {
            counter += answer;
            counter %= mod;
            return;
        }
        if (prev == 1 || prev == 2) {
            perebor1(3, cnt1, cnt2, cnt3 - 1, cnt4, (answer * cnt3) % mod);
            perebor1(2, cnt1, cnt2 - 1, cnt3, cnt4, (answer * cnt2) % mod);
        }
        if (prev == 3 || prev == 4) {
            perebor1(1, cnt1 - 1, cnt2, cnt3, cnt4, (answer * cnt1) % mod);
            perebor1(4, cnt1, cnt2, cnt3, cnt4 - 1, (answer * cnt4) % mod);
        }
    }
    public static void perebor2(int prev, long cnt1, long cnt2, long cnt3, long cnt4, long answer) {
        if (cnt1 < 0 || cnt2 < 0 || cnt3 < 0) {
            return;
        }
        if (cnt1 == 0 && cnt2 == 0 && cnt3 == 0) {
            counter += answer;
            counter %= mod;
            return;
        }
        if (prev == 1 || prev == 2) {
            perebor2(3, cnt1, cnt2, cnt3 - 1, cnt4, (answer * cnt3) % mod);
            perebor2(2, cnt1, cnt2 - 1, cnt3, cnt4, (answer * cnt2) % mod);
        }
        if (prev == 3) {
            perebor2(1, cnt1 - 1, cnt2, cnt3, cnt4, (answer * cnt1) % mod);
        }
    }
    public static long mod = 1000000007;
    public static long counter = 0;

    public static void main(String[] args) throws IOException {
        BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
        PrintWriter writer = new PrintWriter(System.out);
        StringTokenizer st = new StringTokenizer(reader.readLine());
        int n = Integer.parseInt(st.nextToken());
        int m = Integer.parseInt(st.nextToken());
        int c = Integer.parseInt(st.nextToken());
        int[][] arr = new int[n][m];
        if(c == 3){
            for(int i = 0; i < n; ++i){
                for(int j = 0; j < m; ++j){
                    arr[i][j] = 1;
                }
            }
            boolean norm = false;
            while(!norm){
                norm = true;
                for(int x1 = 0; x1 < n; ++x1){
                    for(int x2 = x1 + 1; x2 < n; ++x2){
                        for(int y1 = 0; y1 < m; ++y1){
                            for(int y2 = y1 + 1; y2 < m; ++y2){
                                if(arr[x1][y1] == arr[x2][y2] && arr[x1][y1] == arr[x1][y2] && arr[x1][y1] == arr[x2][y1]){
                                    norm = false;
                                    arr[x2][y2] = (arr[x1][y1] + 1) % 3 + 1;
                                }
                            }
                        }
                    }
                }
            }
        }
        else{
            boolean norm = false;
            while(!norm) {
                for (int i = 0; i < n; ++i) {
                    for (int j = 0; j < m; ++j) {
                        if (c == 2) {
                            if (Math.random() >= 0.5) {
                                arr[i][j] = 1;
                            } else {
                                arr[i][j] = 2;
                            }
                        } else {
                            if (Math.random() >= 0.66) {
                                arr[i][j] = 1;
                            } else if (Math.random() >= 0.33) {
                                arr[i][j] = 2;
                            } else {
                                arr[i][j] = 3;
                            }
                        }
                    }
                }
                norm = true;
                for (int x1 = 0; x1 < n; ++x1) {
                    for (int x2 = 0; x2 < n; ++x2) {
                        for (int y1 = 0; y1 < m; ++y1) {
                            for (int y2 = 0; y2 < m; ++y2) {
                                if(x1 == x2 || y1 == y2){
                                    continue;
                                }
                                if (arr[x1][y1] == arr[x1][y2] && arr[x1][y1] == arr[x2][y1] && arr[x1][y1] == arr[x2][y2]){
                                    norm = false;
                                    break;
                                }
                            }
                        }
                    }
                }
            }
        }
        for(int i = 0; i < n; ++i){
            for(int j = 0; j < m; ++j){
                System.out.print(arr[i][j] + " ");
            }
            System.out.println("");
        }
    }
}