import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.lang.management.BufferPoolMXBean;
import java.lang.management.ThreadInfo;
import java.util.ArrayList;
import java.util.StringTokenizer;
import java.util.TreeSet;

public class Main {
    public static long min;

    public static void main(String[] args) throws IOException {
        BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
        PrintWriter writer = new PrintWriter(System.out);
        StringTokenizer st = new StringTokenizer(reader.readLine());
        int n = Integer.parseInt(st.nextToken());
        int m = Integer.parseInt(st.nextToken());
        int c = Integer.parseInt(st.nextToken());
        int[][] arr = new int[n][m];
        for (int i = 0; i < n; ++i) {
            for (int j = 0; j < m; ++j) {
                arr[i][j] = 1;
            }
        }
        for (int x1 = 0; x1 < n; ++x1) {
            for (int x2 = x1 + 1; x2 < n; ++x2) {
                for (int y1 = 0; y1 < m; ++y1) {
                    for (int y2 = y1 + 1; y2 < m; ++y2) {
                        if (arr[x1][y1] == arr[x1][y2] && arr[x1][y1] == arr[x2][y1] && arr[x1][y1] == arr[x2][y2]) {
                            arr[x2][y1] = 2;
                            arr[x1][y2] = 2;
                        }
                    }
                }
            }
        }
        for (int x1 = 0; x1 < n; ++x1) {
            for (int x2 = x1 + 1; x2 < n; ++x2) {
                for (int y1 = 0; y1 < m; ++y1) {
                    for (int y2 = y1 + 1; y2 < m; ++y2) {
                        if (arr[x1][y1] == arr[x1][y2] && arr[x1][y1] == arr[x2][y1] && arr[x1][y1] == arr[x2][y2]) {
                            arr[x2][y1] = 3;
                            arr[x1][y2] = 3;
                        }
                    }
                }
            }
        }
    }
}