import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.StringTokenizer;

public class Main {

    public static void main(String[] args) throws IOException {
        BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
        PrintWriter writer = new PrintWriter(System.out);
        int t = Integer.parseInt(reader.readLine());
        for(int q = 0; q < t; ++q){
            StringTokenizer st = new StringTokenizer(reader.readLine());
            long n = Integer.parseInt(st.nextToken());
            long m = Integer.parseInt(st.nextToken());
            long l = 0;
            long r = n;
            long ans = -1;
            while(l <= r){
                long mid = (l + r) / 2;
                if((m * mid) * (m * mid + 1) >= (n * m) * (n * m + 1) / 2){
                    ans = mid;
                    r = mid - 1;
                }
                else{
                    l = mid + 1;
                }
            }
            if(ans + 1 <= n){
                if(Math.abs((m * ans) * (m * ans + 1) - (n * m) * (n * m + 1) / 2) > Math.abs(m * (ans + 1) * (m * ans + 1) - (n * m) * (n * m + 1) / 2)){
                    ans+=1;
                }
            }
            System.out.println("H " + ans);
        }
    }
}
