import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.lang.management.BufferPoolMXBean;
import java.lang.management.ThreadInfo;
import java.util.ArrayList;
import java.util.StringTokenizer;
import java.util.TreeSet;

public class Main {
    public static void perebor(int prev, long cnt1, long cnt2, long cnt3, long cnt4, long answer) {
        if (cnt1 < 0 || cnt2 < 0 || cnt3 < 0 || cnt4 < 0) {
            return;
        }
        if (cnt1 == 0 && cnt2 == 0 && cnt3 == 0 && cnt4 == 0) {
            counter += answer;
            counter %= mod;
            return;
        }
        if (prev == 1 || prev == 2) {
            perebor(3, cnt1, cnt2, cnt3 - 1, cnt4, (answer * cnt3) % mod);
            perebor(2, cnt1, cnt2 - 2, cnt3, cnt4, (answer * cnt2) % mod);
        }
        if (prev == 3 || prev == 4) {
            perebor(1, cnt1 - 1, cnt2, cnt3, cnt4, (answer * cnt1) % mod);
            perebor(4, cnt1, cnt2, cnt3, cnt4 - 1, (answer * cnt4) % mod);
        }
    }

    public static long mod = 1000000007;
    public static long counter = 0;

    public static void main(String[] args) throws IOException {
        BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
        PrintWriter writer = new PrintWriter(System.out);
        char[] s1 = reader.readLine().toCharArray();
        char[] s2 = reader.readLine().toCharArray();
        char[] s3 = reader.readLine().toCharArray();
        int cnt1 = 0;
        int cnt2 = 0;
        int cnt3 = 0;
        int cnt4 = 0;
        int cnt10 = 0;
        int cnt40 = 0;
        for (int i = 0; i < s1.length; ++i) {
            int n1 = s1[i] - '0';
            int n2 = s2[i] - '0';
            int n3 = s3[i] - '0';
            if (n1 + n2 >= 10) {
                if (n1 + n2 == n3 + 10) {
                    ++cnt3;
                } else if (n1 + n2 == n3 + 9) {
                    ++cnt2;
                } else {
                    System.out.println(0);
                    return;
                }
            } else {
                if (n1 + n2 == n3) {
                    ++cnt4;
                    if (n1 == 0 || n2 == 0 || n3 == 0) {
                        ++cnt40;
                    }
                } else if (n1 + n2 == n3 - 1) {
                    ++cnt1;
                    if (n1 == 0 || n2 == 0 || n3 == 0) {
                        ++cnt10;
                    }
                } else {
                    System.out.println(0);
                    return;
                }
            }
        }
        perebor(1, cnt1 - 1, cnt2, cnt3, cnt4, cnt1 - cnt10);
        perebor(4, cnt1, cnt2, cnt3, cnt4 - 1, cnt4 - cnt40);
        System.out.println(counter);
    }
}